#!/bin/bash
# JvdB shorthands
#
trans=/opt/nlextract/git/opentopo/bin/topotrans.sh
# wfiles=/var/www/nlextract.nl/data/opentopo/worldfiles/wfiles
rel=2016-R08
resos="50pixkm 400pixkm 1600pixkm"
# resos="10pixkm 37.5pixkm 100pixkm"


for reso in ${resos}
do
   echo "START ${reso}"
   /bin/rm -rf ${reso}/geotif/${rel} > /dev/null 2>&1

   # cp ${wfiles}${reso}/*.wld ${reso}/tif/${rel}
   # chown -R jwvaalst:jwvaalst ${reso}/tif/${rel}

   mkdir -p ${reso}/geotif/${rel}
   $trans ${reso}/tif/${rel} ${reso}/geotif/${rel} > ${reso}/geotif/${rel}/trans.log 2>&1
   chown -R kadmin:kadmin ${reso}/geotif
   echo "END ${reso}"
done


